CMSIS-Core (Cortex-M): SCnSCB_Type Struct Reference

| CMSIS-Core (Cortex-M) Version 5.4.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
SCnSCB_Type Struct Reference

Structure type to access the System Control and ID Register not in the SCB. More...

## Data Fields

uint32_t | RESERVED0 [1]
| Reserved. More...
__IM uint32_t | ICTR
| Offset: 0x004 (R/ ) Interrupt Controller Type Register. More...
__IOM uint32_t | ACTLR
| Offset: 0x008 (R/W) Auxiliary Control Register. More...

## Description

Structure type to access the System Control and ID Register not in the SCB.

## Field Documentation

__IOM uint32_t SCnSCB_Type::ACTLR

Offset: 0x008 (R/W) Auxiliary Control Register.

__IM uint32_t SCnSCB_Type::ICTR

Offset: 0x004 (R/ ) Interrupt Controller Type Register.

uint32_t SCnSCB_Type::RESERVED0[1]

Reserved.